| Home | Libraries | People | FAQ | More

##### segments_encoded_view::iterator

(Inherited from `segments_encoded_base`)

A Bidirectional iterator to a path segment.

###### Synopsis

    using iterator = see-below;

###### Description

Objects of this type allow iteration through the segments in the path. Strings returned by iterators may contain percent escapes. The values returned are read-only; changes to segments must be made through the container instead, if the container supports modification.

The strings produced when iterators are dereferenced refer to the underlying character buffer. Ownership is not transferred; the caller is responsible for ensuring that the lifetime of the buffer extends until it is no longer referenced by any container or iterator.